Name:           merkaartor
Version:        0.17.2
Release:        2%{?dist}
Summary:        Qt-Based OpenStreetMap editor

Group:          Applications/Productivity
License:        GPLv2
URL:            http://www.merkaartor.be
Source0:        http://merkaartor.be/attachments/download/253/%{name}-%{version}.tar.bz2

BuildRequires:  qt4-devel >= 4.4, qt4-webkit-devel
BuildRequires:  desktop-file-utils
BuildRequires:  exiv2-devel
BuildRequires:  gdal-devel
BuildRequires:  boost-devel
BuildRequires:  zlib-devel
BuildRequires:  zbar-devel
BuildRequires:  zbar-qt-devel
BuildRequires:  qtsingleapplication-devel

%description
Merkaartor is a small editor for OpenStreetMap available under the
GNU General Public License and developed  using the Qt toolkit.

It has some unique features like anti-aliased displaying,
transparent display of map features like roads and curved roads.

%prep
%setup -q -n %{name}-%{version}

%build
# remove bundled boost to use the fedora boost
rm -rf includes/boost
# Use packaged qtsingleappicaton instead of bundled version
rm -rf 3rdparty/qtsingleapplication-2.6_1-opensource
sed -i "s|../3rdparty/qtsingleapplication-2.6_1-opensource/src/qtsingleapplication.pri|%{_libdir}/qt4/mkspecs/features/qtsingleapplication.prf|" src/src.pro
lrelease-qt4 src/src.pro
qmake-qt4 Merkaartor.pro PREFIX=%{_prefix} LIBDIR=%{_libdir} RELEASE=1 VERSION=0.17 REVISION=.2 NODEBUG=1 GEOIMAGE=1 GPSD=1 GDAL=1 ZBAR=1
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_ROOT=${RPM_BUILD_ROOT} install
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/translations/
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_datadir}/%{name}/world_background.osb
%{_datadir}/%{name}/*.xml
%{_datadir}/applications/%{name}.desktop
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins/background
%{_libdir}/%{name}/plugins/background/*.so
%dir %{_libdir}/%{name}/plugins/styles
%{_libdir}/%{name}/plugins/styles/*.so
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%doc AUTHORS CHANGELOG HACKING LICENSE

%changelog
* Mon Apr 11 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.17.2-2
- rebuild (exiv2)

* Sat Feb 12 2011 Sven Lankes <sven@lank.es> - 0.17.2-1
- new upstream bugfix release
- Fixes rhbz #673667 and #674944

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 28 2010 Sven Lankes <sven@lank.es> - 0.17.0-2
- fix source url and versioning

* Tue Dec 28 2010 Sven Lankes <sven@lank.es> - 0.17-1
- new upstream release

* Sun Dec 19 2010 Sven Lankes <sven@lank.es> - 0.17-0.3.rc5
- new upstream prerelease

* Mon Dec 13 2010 Sven Lankes <sven@lank.es> - 0.17-0.2.rc4
- fix build on i686

* Sun Dec 12 2010 Sven Lankes <sven@lank.es> - 0.17-0.1.rc4
- new upstream pre-release
- don't use bundled qtsingleapplication

* Sun Dec 05 2010 Sven Lankes <sven@lank.es> - 0.17-0.1.rc3
- new upstream pre-release
- now includes a plugin for bing maps

* Sun Aug 29 2010 Sven Lankes <sven@lank.es> - 0.16.3-1
- new upstream release
- fixes broken translations

* Sun Aug 15 2010 Sven Lankes <sven@lank.es> - 0.16.2-1
- new upstream release
- add zbar dependency to enable zbar support

* Fri Jul 09 2010 Sven Lankes <sven@lank.es> - 0.16.1-2
- bump to fix broken dep and ftbfs (fixes #599993)

* Tue Jun 15 2010 Sven Lankes <sven@lank.es> - 0.16.1-1
- new upstream release

* Sun Jun 06 2010 Sven Lankes <sven@lank.es> - 0.16.0-1
- new upstream release

* Mon May 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.15-0.3.svn20001 
- rebuild (exiv2)
- BR: qt4-webkit-devel

* Sun Feb 14 2010 Sven Lankes <sven@lank.es> - 0.15-0.2.svn20001
- remove upstreamed src.pro-patch

* Sun Feb 14 2010 Sven Lankes <sven@lank.es> - 0.15-0.1.svn20001
- new svn-prerelease
- build against system boost instead of shipped copy
 
* Sat Feb 13 2010 Sven Lankes <sven@lank.es> - 0.15-0.1.svn19986
- svn-prerelease
- fix DSO induced FTBFS

* Mon Jan 04 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.14-3 
- rebuild (exiv2)

* Thu Dec 10 2009 Sven Lankes <sven@lank.es> - 0.14-2
- Write log to /dev/null unless specified (bz# 544284)

* Wed Aug 12 2009 Sven Lankes <sven@lank.es> - 0.14-1
- 0.14
- Remove patch for gdal/qtgtkstyle-related crash - seems to be fixed in gdal

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-0.2.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 05 2009 Sven Lankes <sven@lank.es> - 0.14-0.1-pre2
- 0.14-pre2

* Thu Jul 02 2009 Sven Lankes <sven@lank.es> - 0.14-0.1-pre1
- 0.14-pre1

* Tue Apr 28 2009 Sven Lankes <sven@lank.es> - 0.13.2-2
- disable use of qgtkstyle until gdal conflict (bz# 498111) is solved

* Sun Apr 25 2009 Sven Lankes <sven@lank.es> - 0.13.2-1
- new upstream release

* Sat Apr 04 2009 Sven Lankes <sven@lank.es> - 0.13.1-1
- new upstream release

* Wed Oct 15 2008 Sven Lankes <sven@lank.es> - 0.12-2
- remove additional source merkaartor.xpm - now included
- minor update of .desktop-file

* Mon Oct 13 2008 Sven Lankes <sven@lank.es> - 0.12-1
- new upstream release
- enable geotagging support (requires exiv2)
- remove -fixes patch

* Wed Sep 10 2008 Sven Lankes <sven@lank.es> - 0.11-3
- add patch from -fixes branch (fixes upload error)

* Thu Aug 28 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.11-2
- include unowned directories

* Wed Aug 06 2008 Sven Lankes <sven@lank.es> - 0.11-1
- final 0.11 release 
- Updated versioning scheme - 0.x 

* Mon Jul 28 2008 slankes <sven@lank.es> - 0.0.11-0.1.rc1
- update to release candidate

* Thu Jul 24 2008 slankes <sven@lank.es> - 0.0.10-7
- fix executable source-files

* Wed Jun 25 2008 slankes <sven@lank.es> - 0.0.10-6
- remove superfluous make install from specfile
- tune requires/buildrequires

* Sat Jun 14 2008 slankes <sven@lank.es> - 0.0.10-5
- Remove unneeded buildrequires
- SPEC-Cleanup

* Sun May 18 2008 slankes <sven@lank.es> - 0.0.10-4
- Build in release mode instead of debug. This (among other things) makes merkaartor honour the rpm optflags) 

* Thu May  8 2008 slankes <sven@lank.es> - 0.0.10-3
- Preserve timestamps 

* Sun May  4 2008 slankes <sven@lank.es> - 0.0.10-2
- First package version

